
%define major 1
%define libname %mklibname %name %major

Name:           avogadro
Summary:        An advanced molecular editor for chemical purposes
Group:          System/Libraries
Version:        1.0.3
Release:        %mkrel 18
License:        GPLv2
URL:            http://avogadro.openmolecules.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		avogadro-1.0.3-mga-fix_qmake_mkspecs_installation.patch
Patch1:         avogadro-1.0.3-fix-moc.patch 
BuildRequires:  cmake >= 2.6.0
BuildRequires:  qt4-devel
BuildRequires:  qt4-linguist
BuildRequires:  eigen2 >= 2.0.9
BuildRequires:  openbabel-devel >= 2.2.3
BuildRequires:  boost-devel >= 1.35
BuildRequires:  glew-devel >= 1.5.0
BuildRequires:  docbook-utils-pdf
BuildRequires:  python-sip
BuildRequires:  python-numpy-devel
BuildRequires:  python-devel
Requires:       openbabel >= 2.2.3

%description
An advanced molecular editor designed for cross-platform use
in computational chemistry,molecular modeling, bioinformatics,
materials science,and related areas, which offers flexible
rendering and a powerful plugin architecture.

%files 
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%name
%{_bindir}/avopkg
%{_datadir}/%name
%{_datadir}/pixmaps/%name-icon.png
%{_datadir}/applications/%name.desktop
%{_mandir}/man1/%name.1*
%{_mandir}/man1/avopkg.1*
%{_datadir}/libavogadro/
%dir %{_libdir}/%name/
%dir %{_libdir}/%name/1_0/
%{_libdir}/%name/1_0/colors
%{_libdir}/%name/1_0/extensions
%{_libdir}/%name/1_0/engines
%{_libdir}/%name/1_0/tools


#--------------------------------------------------------------------
%package -n %libname
Summary:        Shared libraries for Avogadro
Group:          System/Libraries

%description -n %libname
Libraries for Avogadro molecular editor.

%files -n %libname 
%{_libdir}/libavogadro.so.%{major}*


#--------------------------------------------------------------------
%package devel
Summary:        Development files for Avogadro
Group:          Development/C++
Requires:	%libname = %{version}-%{release}

%description devel
Development Avogadro files.

%files devel
%{_includedir}/%name
%{_libdir}/libavogadro.so
%{python_sitearch}/Avogadro.so
%{_libdir}/%name/*.cmake
%{_libdir}/%name/1_0/*.cmake
%{_libdir}/%name/1_0/cmake/
%dir %{qt4dir}/mkspecs/features/
%{qt4dir}/mkspecs/features/%name.prf


#--------------------------------------------------------------------
%prep
%setup -q
%apply_patches
# (Fedora) nuke unpatched copy, use working version included in cmake instead
rm -f cmake/modules/FindPythonLibs.cmake


%build
%{cmake_qt4}\
	%{?ENABLE_TESTS} \
	-DENABLE_GLSL:BOOL=ON \
	-DENABLE_PYTHON:BOOL=ON \
	-DCMAKE_SKIP_RPATH:BOOL=ON 

%make

%install
%makeinstall_std -C build


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 1.0.3-18.mga4
+ Revision: 530456
- Mageia 4 Mass Rebuild

* Wed Jul 24 2013 sander85 <sander85> 1.0.3-17.mga4
+ Revision: 457682
- Rebuild for new glew

* Tue Jul 09 2013 fwang <fwang> 1.0.3-16.mga4
+ Revision: 451708
- rebuild for new boost

* Thu Apr 11 2013 barjac <barjac> 1.0.3-15.mga3
+ Revision: 409675
- rebuild for boost-1.53

* Fri Jan 11 2013 umeabot <umeabot> 1.0.3-14.mga3
+ Revision: 346705
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 20 2012 fwang <fwang> 1.0.3-13.mga3
+ Revision: 332931
- rebuild for new boost

* Tue Aug 28 2012 fwang <fwang> 1.0.3-12.mga3
+ Revision: 284925
- rebuild for new glew

* Tue Jul 31 2012 fwang <fwang> 1.0.3-11.mga3
+ Revision: 276503
- rebuild for new boost

* Wed Jul 25 2012 fwang <fwang> 1.0.3-10.mga3
+ Revision: 274234
- rebuild for new glew

* Wed May 30 2012 fwang <fwang> 1.0.3-9.mga3
+ Revision: 250087
- rebuild for new boost

* Sat Dec 03 2011 mikala <mikala> 1.0.3-8.mga2
+ Revision: 175748
- Add patch1 to fix build with boost 1.48 ( based on QTBUG #22829)
- Remove %%defattr()

  + fwang <fwang>
    - rebuild for new boost

* Mon Oct 03 2011 fwang <fwang> 1.0.3-6.mga2
+ Revision: 151154
- rebuild for new glew

* Sun Oct 02 2011 fwang <fwang> 1.0.3-5.mga2
+ Revision: 150861
- rebuild for new openbabel
- rebuild for enw boost

* Tue Jul 12 2011 ahmad <ahmad> 1.0.3-3.mga2
+ Revision: 123133
- Change the docbook-utils BR to docbook-utils-pdf

* Wed Jun 22 2011 fwang <fwang> 1.0.3-2.mga2
+ Revision: 111860
- rebuild for new boost

* Tue Jun 21 2011 dmorgan <dmorgan> 1.0.3-1.mga2
+ Revision: 111388
- Rebuild against new boost

* Sun Jun 12 2011 mikala <mikala> 1.0.3-0.mga2
+ Revision: 105213
- Update tarball to 1.0.3
- Drop patches merged upstream
- Fix file list
- Add patch0 to fix avogadro.prf install path

* Sat Feb 26 2011 ahmad <ahmad> 1.0.1-6.mga2
+ Revision: 60848
- drop py27 patch not needed any more
- delete the bundled FindPythonLibs.cmake and use the working copy included with
  cmake (Fedora)
- drop cmake-rpath patch and compile with -DCMAKE_SKIP_RPATH:BOOL=ON instead
  (Fedora)
- add patch to fix crash with current SIP and Python 2.7

* Sat Feb 26 2011 mikala <mikala> 1.0.1-5.mga1
+ Revision: 60545
- Add patch2 to fix a crash on x86_64 (wrong cmake_install_rpath in upstream code)

* Sat Feb 26 2011 ahmad <ahmad> 1.0.1-4.mga1
+ Revision: 60115
- add requires on openbabl, should make the "optimize geometry" option work
  should fix (mga# 174)

* Sat Jan 22 2011 ahmad <ahmad> 1.0.1-3.mga1
+ Revision: 33275
- imported package avogadro


* Sun Oct 31 2010 Funda Wang <fwang@mandriva.org> 1.0.1-3mdv2011.0
+ Revision: 590766
- detect py 2.7
- BR python
- rebuild for py2.7

* Mon Aug 23 2010 Funda Wang <fwang@mandriva.org> 1.0.1-2mdv2011.0
+ Revision: 572140
- rebuild for new boost

* Sat Aug 21 2010 Funda Wang <fwang@mandriva.org> 1.0.1-1mdv2011.0
+ Revision: 571737
- BR python-sip
- update group

  + José Melo <mmodem@mandriva.org>
    - import avogadro


